function ChargeShotDeath()
	child = CreateObject("ChargeImpact", 0,2,-1,false)
	MoveObject(child,-30,0)
end

function ChargeShotCollide(me, you)
	--if GetName(you) ~= "X" 
	--then
		AddHealth(me, -20)
	--end
	
	
end

function ChargeShotCreate(me)
	SetPower(me,5)
end